package de.npid7.mc;

import de.npid7.mc.Configs.PluginConfig;
import de.npid7.mc.Listeners.PlayerJoinListener;
import java.util.logging.Logger;
import org.bukkit.Bukkit;
import org.bukkit.plugin.java.JavaPlugin;

public class Starterkit extends JavaPlugin {
  private static Starterkit instance;
  private PluginConfig cfg;

  @Override
  public void onLoad() {
    // Set Static reference
    instance = this;
  }

  @Override
  public void onEnable() {
    if (!getDataFolder().exists()) {
      getDataFolder().mkdirs();
    }

    cfg = new PluginConfig(getDataFolder() + "/config.json");
    Bukkit.getPluginManager().registerEvents(new PlayerJoinListener(), this);
  }

  public static Starterkit getInstance() {
    return instance;
  }

  public PluginConfig getPluginConfig() {
    return cfg;
  }
}
